> For the complete documentation index, see [llms.txt](https://docs.mobiledetect.net/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mobiledetect.net/home/example.md).

# Example

In the following example, we instantiate the `MobileDetect` class which by default grabs the User-Agent string from `$_SERVER` and then after calling `$detect->isMobile()` it starts the detection process:

```php
$detect = new MobileDetect();
var_dump($detect->getUserAgent()); // "Mozilla/5.0 (Windows NT 10.0; Win64; x64) ..."

try {
    $isMobile = $detect->isMobile(); // bool(false)
    var_dump($isMobile);
} catch (\Detection\Exception\MobileDetectException $e) {
}
try {
    $isTablet = $detect->isTablet(); // bool(false)
    var_dump($isTablet);
} catch (\Detection\Exception\MobileDetectException $e) {
}
```

The `try/catch` blocks are optional but they can catch special cases where your server env is missing `$_SERVER` variables or the Cache system is throwing an exception.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mobiledetect.net/home/example.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
